package models

import "time"

type UsulanJudul struct {
	Id            string `gorm:"type:uuid;primaryKey;default:gen_random_uuid();unique"` // UUID as a string
	Judul         string
	IdPendaftaran string
	Status        *bool     `gorm:"default:null"`
	CreatedAt     time.Time `gorm:"autoCreateTime"` // Use this if you want to override the gorm.Model's CreatedAt

	Pendaftaran Pendaftaran `gorm:"foreignKey:IdPendaftaran;references:Id"`
}
