package models

type JadwalSeminar struct {
	ID          string `gorm:"type:uuid;primaryKey;default:gen_random_uuid()" json:"id"`
	Nim         string `gorm:"column:nim" json:"nim"`
	Date        string `gorm:"column:endDate" json:"endDate"`
	Name        string `gorm:"column:nama_mahasiswa" json:"name"`
	Time        string `gorm:"column:time" json:"time"`
	NamaDosbing string `gorm:"column:nama_dosbing" json:"namaDosbing"`
	NamaDosuji1 string `gorm:"column:nama_dosuji" json:"namaDosuji1"`
	Ruang       string `gorm:"column:ruang" json:"ruang"`
	IDBatch     string `gorm:"column:id_batch" json:"batchid"`
	Judul       string `gorm:"column:judul" json:"judul"`

	Batch BatchSeminar `gorm:"foreignKey:IDBatch;references:IDBatch"`
}
